Policies
POST
/v1/policies/{tenant_id}/{app_id}/{agent_id}/{env}/rollback/{target_version}Rollback Policy
Rollback policy to a specific version. Creates a new version with the content of the target version. Does not delete the current version - maintains full history.
CI or Admin tokenscope: writeoperation_id: policies.rollback
Authentication
Requires a CI- or admin-level token. Runtime tokens are rejected for mutations.
SDK install
pip install znyx-sdknpm install @znyx/sdkPath parameters
| Name | Type | Required | Description |
|---|---|---|---|
| tenant_id#path | string | required | — |
| app_id#path | string | required | — |
| agent_id#path | string | required | — |
| env#path | string | required | — |
| target_version#path | integer | required | — |
Header parameters
| Name | Type | Required | Description |
|---|---|---|---|
| x-created-by#header | string | optional | — |
Responses
| Status | Description |
|---|---|
| 200 | Successful Response |
| 422 | Validation Error |
Response schema
any
Errors & what triggers them
| Code | Trigger | Fix |
|---|---|---|
| 403 | Not authorized for this app_id. | — |
| 404 | Target version not found in policy history. | — |
Request
curl -X POST 'https://api.znyx.ai/v1/policies/00000000-0000-0000-0000-000000000000/00000000-0000-0000-0000-000000000000/00000000-0000-0000-0000-000000000000/prod/rollback/<target_version>' \ -H 'Authorization: Bearer $ZNYX_TOKEN'
Response
application/json
Successful Response
null
Schema: any